#ifndef lint
static	char sccsid[] = "@(#)dev_gp1_atts.c 2.1 87/10/28 SMI";
#endif

/*
 * Copyright (c) 1986 by Sun Microsystems, Inc.
 */


#include "dev_gp1_internal.h"

/* 
 * These functions set the value of attributes in the static block
 * (or frame). The format of most of the functions is the op_code is in the
 * hi order byte and the value of the attribue is in the low order byte.
 * 
 * Each function makes room for a short in the current buffer and stuffs
 * the op_code and attribute value into the short. Also, we must 
 * indicate that there is no longer a vector list being constructed.
 * 
 * All these functions are also availible as macros.
 */
 
void 
Dev_gp1_set_color(gp1, color)
register GP1	*gp1;
 	int	color;
{  
	DEV_GP1_SET_COLOR(gp1,color) ;
}



void
Dev_gp1_set_clip_planes(gp1, mask)
register	GP1	*gp1;
 		int	mask;
{   
	DEV_GP1_SET_CLIP_PLANES(gp1, mask) ;
}


void
Dev_gp1_set_hidden_surf(gp1, type)
register	GP1	*gp1;
 		int	type;
{   
	DEV_GP1_SET_HIDDEN_SURF(gp1, type) ;
}



void
Dev_gp1_set_rop_mode(gp1, mode)
register	GP1	*gp1;
 		int	mode;
{   
	DEV_GP1_SET_ROP_MODE(gp1, mode) ;
}



void
Dev_gp1_set_line_width(gp1, mode)
register GP1	*gp1;
 	int	mode;
{
	DEV_GP1_SET_LINE_WIDTH(gp1, mode) ;
}




void
Dev_gp1_select_matrix(gp1, num)
register GP1	*gp1;
 	int	num;
{
	DEV_GP1_SELECT_MATRIX(gp1, num) ;
}
