#ifndef lint
static	char	sccsid[] = "@(#)dev_pw_poly_3di.c 1.1 88/11/23 SMI" ;
#endif

/*
 * Copyright (c) 1987 by Sun Microsystems, Inc.
 */


#include "dev_pw_internal.h"


int
Dev_pw_polygon_3di(pwh, n_bounds, bounds, pts, shade)
register PW		*pwh;
	int		n_bounds;
	int		*bounds;
	Point3di	*pts;
	int		shade;
{
register int		i;
register int		tot_verts;
register Point4df	*xfptr ;
register Point3di	*iptr ;
register int		*clptr ;
	Point4df	*xfpts ;
	int		*oclip ;
	Point3df	tmp ;

	tot_verts = 0 ;
	for (i = 0; i < n_bounds; i++)
	    tot_verts += bounds[i] ;

	xfpts = (Point4df *) malloc( tot_verts * sizeof(Point4df) ) ;
	oclip = (int *) malloc( tot_verts * sizeof(int) ) ;

	iptr = pts ;
	xfptr = xfpts ;
	clptr = oclip ;
	for( i = tot_verts; --i >= 0;)
	{
	  tmp.x = iptr->x ;
	  tmp.y = iptr->y ;
	  ++iptr ;
	  (*pwh->xf_func3)(pwh, &tmp, xfptr) ;
	  if( pwh->clip_planes )
	    *clptr++ = (*pwh->clip3)(pwh, xfptr) ;
	  ++xfptr ;
	}

	_dev_pw_poly(pwh, n_bounds, bounds, tot_verts, xfpts, oclip, shade) ;

	free( xfpts ) ;
	free( oclip ) ;
}
