/*	@(#)trim.h 1.1 89/03/10 SMI	*/

/*
 * X_bnds refer to the number of points in the shape - 1
 * X_size refer to the number of points in the shape (for shapes not suitable
 *	for polygons)
 */


#ifndef TRIM_H
#define TRIM_H


#define	PSIZE(pts)	(sizeof(pts)/sizeof(Point2df))


extern	Point2df	trim[] ;
extern	int		trim_bnds[] ;
extern	int		trim_size ;

extern  Point2df	uplcir[] ;
extern  int		uplcir_bnds[] ;
extern  int		uplcir_size ;

extern  Point2df	uprcir[] ;
extern 	int     	uprcir_bnds[] ;
extern 	int     	uprcir_size ;

extern  Point2df	lowlcir[] ;
extern  int     	lowlcir_bnds[] ;
extern  int     	lowlcir_size ;

extern  Point2df	lowrcir[] ;
extern	int		lowrcir_bnds[] ;
extern	int		lowrcir_size ;

extern	Point2df	circle[] ;
extern	int		circle_bnds[] ;
extern	int		circle_size ;

extern	Point2df	tics1[] ;
extern	Point2df	tics2[] ;
#define	N_TICS1		12
#define	N_TICS2		60


extern	Point2df	N_let[] ;
extern	Point2df	E1_let[] ;
extern	Point2df	E2_let[] ;
extern	Point2df	S_let[] ;
extern	Point2df	W_let[] ;
extern	int		N_let_size ;
extern	int		E1_let_size ;
extern	int		E2_let_size ;
extern	int		S_let_size ;
extern	int		W_let_size ;


#endif TRIM_H
