#ifndef lint
static	char sccsid[] = "@(#)dev_gp1_line_2df.c 2.1 87/10/28 SMI";
#endif

/*
 * Copyright (c) 1987 by Sun Microsystems, Inc.
 */


#include "dev_gp1_internal.h"


void
Dev_gp1_line_2df(gp1, nvert, pts)
register GP1		*gp1 ;
	int		nvert ;
register Point2df	*pts ;
{
register	int	fit ;
register	short	*ptr ;

	while(nvert > 1)
	{
	    MAKE_ROOM(gp1, 1 + 2*SIZE_V2DF) ;
	    fit = (gp1->out_buffer.words_left - 1) / SIZE_V2DF ;
	    if(fit > nvert)
		fit = nvert ;
	    nvert -= fit-1 ;

	    ptr = gp1->out_buffer.cur_ptr ;
	    gp1->out_buffer.words_left -= 1 + fit*SIZE_V2DF ;

	    *ptr++ = GP1_XF_LINE_FLT_2D ;

	    *ptr++ = GP1_MOVE ;
	    GP1_PUT_F(ptr, pts->x) ;
	    GP1_PUT_F(ptr, pts->y) ;
	    --fit ;
	    while(fit-- > 0)
	    {
		++pts ;
		*ptr++ = GP1_DRAW ;
		GP1_PUT_F(ptr, pts->x) ;
		GP1_PUT_F(ptr, pts->y) ;
	    }
	    *(ptr - SIZE_V2DF) |= GP1_TERMINATE ;
	    gp1->out_buffer.cur_ptr = ptr ;
	}
	gp1->list_type = GP1_VEC_LIST_2DF ;
}
