#ifndef lint
static	char sccsid[] = "%Z%%M% %I% %E% SMI";
#endif

/*
 * Copyright (c) 1987 by Sun Microsystems, Inc.
 */


#include "dev_gp1_internal.h"


void
Dev_gp1_points_3df(gp1, type, nvert, pts)
register GP1		*gp1 ;
	int		type ;
	int		nvert ;
register Point3df	*pts ;
{
register	int	left ;
register	short	*ptr ;

	if( nvert <= 0 ) 
	    return ;

	MAKE_ROOM(gp1, 1 + 2*SIZE_V3DF) ;
	ptr = gp1->out_buffer.cur_ptr ;
	left = gp1->out_buffer.words_left ;
	*ptr++ = GP1_XF_LINE_FLT_3D ;
	--left ;
	while(--nvert >= 0)
	{
	    if( left < 2*SIZE_V3DF )
	    {
		*(ptr - SIZE_V3DF) |= GP1_TERMINATE ;
		gp1->out_buffer.cur_ptr = ptr ;
		gp1->out_buffer.words_left = left ;
		Dev_gp1_flush(gp1,1) ;
		ptr = gp1->out_buffer.cur_ptr ;
		left = gp1->out_buffer.words_left ;
		*ptr++ = GP1_XF_LINE_FLT_3D ;
		--left ;
	    }

	    *ptr++ = GP1_MOVE ;
	    GP1_PUT_F(ptr, pts->x) ;
	    GP1_PUT_F(ptr, pts->y) ;
	    GP1_PUT_F(ptr, pts->z) ;
	    *ptr++ = GP1_DRAW ;
	    GP1_PUT_F(ptr, pts->x) ;
	    GP1_PUT_F(ptr, pts->y) ;
	    GP1_PUT_F(ptr, pts->z) ;
	    left -= 2*SIZE_V3DF ;
	    ++pts ;
	}
	*(ptr - SIZE_V3DF) |= GP1_TERMINATE ;
	gp1->out_buffer.cur_ptr = ptr ;
	gp1->out_buffer.words_left = left ;
	gp1->list_type = GP1_VEC_LIST_3DF ;
}
