#ifndef lint
static	char sccsid[] = "@(#)dev_gp1_poly_3df_gouraud.c 2.1 87/10/28 SMI";
#endif

/*
 * Copyright (c) 1987 by Sun Microsystems, Inc.
 */


#include "dev_gp1_internal.h"


int
Dev_gp1_polygon_3df_gouraud(gp1, n_bounds, bounds, pts)
	GP1		*gp1;
	int		n_bounds;
	int		*bounds;
register Point3dfc	*pts;
{
	register int	total_size;
	register int	i;
	register int	total_vertices;
	register short	*ptr;

	total_size = 2 + n_bounds ;
	for (i = 0; i < n_bounds; i++)
	    total_size += bounds[i] * (SIZE_P3DF+sizeof(long)/sizeof(short)) ;
	if (total_size > (GP1_WORDS_PER_BLOCK * gp1->n_buffers - GP1_RESERVE))
	    return(-1);	/* cannot fit polygon in cmd buffers */

	MAKE_ROOM(gp1, total_size);
	gp1->list_type = GP1_NO_LIST;

	ptr = gp1->out_buffer.cur_ptr;
	GP1_USEUP(gp1, total_size) ;

	*ptr++ = GP1_XF_PGON_FLT_3D | GP1_SHADE_GOURAUD;
	*ptr++ = n_bounds;
	total_vertices = 0;
	for (i = 0; i < n_bounds; i++)	/* store number of pts in each bound */
	    total_vertices += (*ptr++ = *bounds++);

	while(total_vertices-- > 0)
	{
	    GP1_PUT_F(ptr, pts->p.x) ;
	    GP1_PUT_F(ptr, pts->p.y) ;
	    GP1_PUT_F(ptr, pts->p.z) ;
	    GP1_PUT_I(ptr, pts->color) ;
	    pts++;
	}

	return(0);
}
