#ifndef lint
static	char sccsid[] = "@(#)dev_gp1_setvp_2d.c 2.1 87/10/28 SMI";
#endif

/*
 * Copyright (c) 1987 by Sun Microsystems, Inc.
 */


/******
 * Dev_gp1_setvp_2d(gp1, scale, offset)
 *
 * This function lets the application set the gp scale and offset
 * from direct data.  The utility of doing this is questionable at
 * best.  Use Dev_gp1_viewport_2d instead
 *
 * The effects of this call last only until the next time the window is
 * moved.
 ******/


#include "dev_gp1_internal.h"



void
Dev_gp1_setvp_2d(gp1, scale, offset)
register GP1		*gp1;
register Point2df	*scale, *offset;
{
register short		*ptr;

    MAKE_ROOM(gp1, 1 + 4*sizeof(float)/sizeof(short) ) ;

    ptr = gp1->out_buffer.cur_ptr ;
    *ptr++ = GP1_SET_VWP_2D ;
    GP1_PUT_F(ptr, scale->x) ;
    GP1_PUT_F(ptr, offset->x) ;
    GP1_PUT_F(ptr, scale->y) ;
    GP1_PUT_F(ptr, offset->y) ;
    GP1_USEUP(gp1, 1+4*sizeof(float)/sizeof(short)) ;

    gp1->flags &= ~GP_CONTAINS_VWP ;
    Dev_gp1_flush(gp1, TRUE);
}
