#ifndef	GFX_DEFINED
#define	GFX_DEFINED

#define	Gfx_context	GP1_handle


#define	Gfx_create			Dev_gp1_create
#define	Gfx_create_pr			Dev_gp1_create_pr
#define	Gfx_reset_to_defaults		Dev_gp1_reset_to_defaults
#define	Gfx_destroy			Dev_gp1_destroy
#define	Gfx_flush			Dev_gp1_flush
#define	Gfx_wait			Dev_gp1_wait
#define	Gfx_set_pw			Dev_gp1_set_pw
#define	Gfx_set_pr			Dev_gp1_set_pr
#define	Gfx_set_color			Dev_gp1_set_color
#define	Gfx_set_write_mask		Dev_gp1_set_write_mask
#define	Gfx_set_clip_planes		Dev_gp1_set_clip_planes
#define	Gfx_set_hidden_surf		Dev_gp1_set_hidden_surf
#define	Gfx_set_rop_mode		Dev_gp1_set_rop_mode
#define	Gfx_set_line_width		Dev_gp1_set_line_width
#define	Gfx_select_matrix		Dev_gp1_select_matrix
#define	Gfx_set_line_texture		Dev_gp1_set_line_texture
#define	Gfx_set_texture_org_screen	Dev_gp1_set_texture_org_screen
#define	Gfx_set_texture_org_2df		Dev_gp1_set_texture_org_2df
#define	Gfx_set_texture_org_3df		Dev_gp1_set_texture_org_3df
#define	Gfx_set_polygon_texture		Dev_gp1_set_polygon_texture
#define	Gfx_get_texture_block		Dev_gp1_get_texture_block
#define	Gfx_free_texture_block		Dev_gp1_free_texture_block
#define	Gfx_select_texture_block	Dev_gp1_select_texture_block
#define	Gfx_get_pw			Dev_gp1_get_pw
#define	Gfx_get_pr			Dev_gp1_get_pr
#define	Gfx_rect			Dev_gp1_rect
#define	Gfx_print			Dev_gp1_print
#define	Gfx_clear			Dev_gp1_clear
#define	Gfx_clear_vp			Dev_gp1_clear_vp
#define	Gfx_set_z_buffer_depth		Dev_gp1_set_z_buffer_depth
#define	Gfx_line_2df			Dev_gp1_line_2df
#define	Gfx_line_2di			Dev_gp1_line_2di
#define	Gfx_line_3df			Dev_gp1_line_3df
#define	Gfx_line_3di			Dev_gp1_line_3di
#define	Gfx_points_2df			Dev_gp1_points_2df
#define	Gfx_points_2di			Dev_gp1_points_2di
#define	Gfx_points_3df			Dev_gp1_points_3df
#define	Gfx_points_3di			Dev_gp1_points_3di
#define	Gfx_move_2df			Dev_gp1_move_2df
#define	Gfx_draw_2df			Dev_gp1_draw_2df
#define	Gfx_move_2di			Dev_gp1_move_2di
#define	Gfx_draw_2di			Dev_gp1_draw_2di
#define	Gfx_move_3df			Dev_gp1_move_3df
#define	Gfx_draw_3df			Dev_gp1_draw_3df
#define	Gfx_move_3di			Dev_gp1_move_3di
#define	Gfx_draw_3di			Dev_gp1_draw_3di
#define	Gfx_polygon_2df			Dev_gp1_polygon_2df
#define	Gfx_polygon_2di			Dev_gp1_polygon_2di
#define	Gfx_polygon_3df			Dev_gp1_polygon_3df
#define	Gfx_polygon_3di			Dev_gp1_polygon_3di
#define	Gfx_polygon_3df_gouraud		Dev_gp1_polygon_3df_gouraud
#define	Gfx_polygon_3di_gouraud		Dev_gp1_polygon_3di_gouraud
#define	Gfx_select_matrix		Dev_gp1_select_matrix
#define	Gfx_set_matrix_3d		Dev_gp1_set_matrix_3d
#define	Gfx_set_matrix_2d		Dev_gp1_set_matrix_2d
#define	Gfx_get_matrix_2d		Dev_gp1_get_matrix_2d
#define	Gfx_get_matrix_3d		Dev_gp1_get_matrix_3d
#define	Gfx_matrix_mul_2d		Dev_gp1_matrix_mul_2d
#define	Gfx_matrix_mul_3d		Dev_gp1_matrix_mul_3d
#define	Gfx_ident_mat			Dev_gp1_ident_mat
#define	Gfx_xlate			Dev_gp1_xlate
#define	Gfx_rotx			Dev_gp1_rotx
#define	Gfx_roty			Dev_gp1_roty
#define	Gfx_rotz			Dev_gp1_rotz
#define	Gfx_scale			Dev_gp1_scale
#define	Gfx_window_mat			Dev_gp1_window_mat
#define	Gfx_persp_window_mat		Dev_gp1_persp_window_mat
#define	Gfx_persp			Dev_gp1_persp
#define	Gfx_point_transform3df		Dev_gp1_point_transform3df
#define	Gfx_invert_mat			Dev_gp1_invert_mat
#define	Gfx_transpose_mat		Dev_gp1_transpose_mat
#define	Gfx_mul_matrix			Dev_gp1_mul_matrix
#define	Gfx_viewport_2d			Dev_gp1_viewport_2d
#define	Gfx_viewport_3d			Dev_gp1_viewport_3d
#define	Gfx_setvp_2d			Dev_gp1_setvp_2d
#define	Gfx_setvp_3d			Dev_gp1_setvp_3d
#define	Gfx_mul_init_2df		Dev_gp1_mul_init_2df
#define	Gfx_mul_init_2di		Dev_gp1_mul_init_2di
#define	Gfx_mul_init_3df		Dev_gp1_mul_init_3df
#define	Gfx_mul_init_3di		Dev_gp1_mul_init_3di
#define	Gfx_mul_add_2df			Dev_gp1_mul_add_2df
#define	Gfx_mul_add_2di			Dev_gp1_mul_add_2di
#define	Gfx_mul_add_3df			Dev_gp1_mul_add_3df
#define	Gfx_mul_add_3di			Dev_gp1_mul_add_3di
#define	Gfx_mul_points			Dev_gp1_mul_points
#define	Gfx_mul_get_2df			Dev_gp1_mul_get_2df
#define	Gfx_mul_get_2di			Dev_gp1_mul_get_2di
#define	Gfx_mul_get_3df			Dev_gp1_mul_get_3df
#define	Gfx_mul_get_3di			Dev_gp1_mul_get_3di
#define	Gfx_mul_term			Dev_gp1_mul_term
#define	Gfx_mul_2df			Dev_gp1_mul_2df
#define	Gfx_mul_2di			Dev_gp1_mul_2di
#define	Gfx_mul_3df			Dev_gp1_mul_3df
#define	Gfx_mul_3di			Dev_gp1_mul_3di
#define	Gfx_setcmsname			Dev_gp1_setcmsname
#define	Gfx_getcmsname			Dev_gp1_getcmsname
#define	Gfx_putcolormap			Dev_gp1_putcolormap
#define	Gfx_getcolormap			Dev_gp1_getcolormap
#define	Gfx_dbuf_on			Dev_gp1_dbuf_on
#define	Gfx_set_dbuf			Dev_gp1_set_dbuf
#define	Gfx_sbuf_on			Dev_gp1_sbuf_on
#define	Gfx_set_sbuf			Dev_gp1_set_sbuf
#define	Gfx_dbuf_putcolormap		Dev_gp1_dbuf_putcolormap
#define	Gfx_dbuf_getcolormap		Dev_gp1_dbuf_getcolormap
#define	Gfx_dbuf_control		Dev_gp1_dbuf_control
#define	Gfx_dbuf_write_mask		Dev_gp1_dbuf_write_mask
#define	Gfx_dbuf_color			Dev_gp1_dbuf_color
#define	Gfx_dbuf_swap			Dev_gp1_dbuf_swap
#define	Gfx_dbuf_get_ctrl		Dev_gp1_dbuf_get_ctrl
#define	Gfx_dbuf_get_write_mask		Dev_gp1_dbuf_get_write_mask
#define	Gfx_dbuf_get_color		Dev_gp1_dbuf_get_color
#define	Gfx_get_pw			Dev_gp1_get_pw
#define	Gfx_get_pr			Dev_gp1_get_pr
#define	Gfx_set_color			Dev_gp1_set_color
#define	Gfx_set_clip_planes		Dev_gp1_set_clip_planes
#define	Gfx_set_hidden_surf		Dev_gp1_set_hidden_surf
#define	Gfx_set_rop_mode		Dev_gp1_set_rop_mode
#define	Gfx_set_line_width		Dev_gp1_set_line_width
#define	Gfx_dbuf_color			Dev_gp1_dbuf_color
#define	Gfx_dbuf_get_color		Dev_gp1_dbuf_get_color
#define	Gfx_set_texture_org_screen	Dev_gp1_set_texture_org_screen
#define	Gfx_set_texture_org_2df		Dev_gp1_set_texture_org_2df
#define	Gfx_set_texture_org_3df		Dev_gp1_set_texture_org_3df
#define	Gfx_select_texture_block	Dev_gp1_select_texture_block
#define	Gfx_select_matrix		Dev_gp1_select_matrix
#define	Gfx_matrix_mul_2d		Dev_gp1_matrix_mul_2d
#define	Gfx_matrix_mul_3d		Dev_gp1_matrix_mul_3d
#define	Gfx_move_2di			Dev_gp1_move_2di
#define	Gfx_draw_2di			Dev_gp1_draw_2di
#define	Gfx_move_2df			Dev_gp1_move_2df
#define	Gfx_draw_2df			Dev_gp1_draw_2df
#define	Gfx_move_3di			Dev_gp1_move_3di
#define	Gfx_draw_3di			Dev_gp1_draw_3di
#define	Gfx_move_3df			Dev_gp1_move_3df
#define	Gfx_draw_3df			Dev_gp1_draw_3df
#define	Gfx_mul_points			Dev_gp1_mul_points
#define	Gfx_mul_add_2di			Dev_gp1_mul_add_2di
#define	Gfx_mul_get_2di			Dev_gp1_mul_get_2di
#define	Gfx_mul_add_2df			Dev_gp1_mul_add_2df
#define	Gfx_mul_get_2df			Dev_gp1_mul_get_2df
#define	Gfx_mul_add_3di			Dev_gp1_mul_add_3di
#define	Gfx_mul_get_3di			Dev_gp1_mul_get_3di
#define	Gfx_mul_add_3df			Dev_gp1_mul_add_3df
#define	Gfx_mul_get_3df			Dev_gp1_mul_get_3df

#define	GFX_SHADE_CONSTANT		GP1_SHADE_CONSTANT
#define	GFX_SHADE_TEX			GP1_SHADE_TEX

#include <dev_gp1.h>

#endif	GFX_DEFINED
