#ifndef lint
static	char sccsid[] = "@(#)dev_pw_clear_vp.c 1.1 88/11/23 SMI";
#endif

/*
 * Copyright (c) 1987 by Sun Microsystems, Inc.
 */

/******
 * Dev_pw_clear_vp
 *
 * clear part of the window instead of all of it.
 *
 ******/


#include "dev_pw_internal.h"




void
Dev_pw_clear_vp(pwh, color, vx0,vx1,vy0,vy1)
register	PW	*pwh;
 		int	color;
		float	vx0,vx1,vy0,vy1 ;
{
	int	rop ;
register int	x0,y0, x1,y1 ;

	if(pwh->r0 != NULL)
	    color = DEV_PW_DBUF_GET_COLOR(pwh,color) ;

	rop = PIX_SRC | PIX_COLOR(color);


	if(pwh->pixw)
	{
	  /*
	   * re-size window while we're here
	   */
	  pwh->win_size.r_width =
	      pwh->pixw->pw_clipdata->pwcd_prmulti->pr_size.x ;
	  pwh->win_size.r_height =
	      pwh->pixw->pw_clipdata->pwcd_prmulti->pr_size.y ;
	}

	/*
	 * find bounds of viewport in pixel coords.
	 */
	x0 = vx0 * pwh->win_size.r_width ;
	y0 = pwh->win_size.r_height - vy1 * pwh->win_size.r_height ;
	x1 = vx1 * pwh->win_size.r_width ;
	y1 = pwh->win_size.r_height - vy0 * pwh->win_size.r_height ;

	/*
	 * do the poor slob a favor and sort them
	 */
	if(x0 > x1)
	{
	  register int tmp = x0 ;
	  x0 = x1 ;
	  x1 = tmp ;
	}
	x1 -= x0 ;
	if(y0 > y1)
	{
	  register int tmp = y0 ;
	  y0 = y1 ;
	  y1 = tmp ;
	}
	y1 -= y0 ;

	if(pwh->pixw)
	{
	  pw_rop(pwh->pixw, x0,y0, x1, y1, rop, NULL,0,0) ;
	}
	else
	{
	  pr_rop(pwh->pixr, x0,y0, x1, y1, rop, NULL,0,0) ;
	}
}
