#ifndef lint
static	char	sccsid[] = "@(#)dev_pw_get_mat.c 1.1 88/11/23 SMI" ;
#endif

/*
 * Copyright (c) 1987 by Sun Microsystems, Inc.
 */

/*
 * This file contains routines for retrieving 3d and 2d
 * matrices.
 */

#include "dev_pw_internal.h"




void
Dev_pw_get_matrix_2d(pwh, index, mat)
register	PW		*pwh;
 		int		index;
 		Matrix2df	mat;
{
	mat[0][0] = pwh->mats[index][0][0] ;
	mat[0][1] = pwh->mats[index][0][1] ;
	mat[1][0] = pwh->mats[index][1][0] ;
	mat[1][1] = pwh->mats[index][1][1] ;
	mat[2][0] = pwh->mats[index][3][0] ;
	mat[2][1] = pwh->mats[index][3][1] ;
}




void
Dev_pw_get_matrix_3d(pwh, index, mat)
register	PW		*pwh;
 		int		index;
 		Matrix3df	mat;
{
	bcopy(pwh->mats[index], mat, sizeof(Matrix3df)) ;
}
