#ifndef lint
static	char	sccsid[] = "@(#)dev_pw_setvp_2d.c 1.1 88/11/23 SMI" ;
#endif

/*
 * Copyright (c) 1987 by Sun Microsystems, Inc.
 */


/******
 * Dev_pw_setvp_2d(pwh, scale, offset)
 *
 * This function lets the application set the gp scale and offset
 * from direct data.  The utility of doing this is questionable at
 * best.  Use Dev_pw_viewport_2d instead
 *
 * The effects of this call last only until the next time the window is
 * moved.
 ******/


#include "dev_pw_internal.h"



void
Dev_pw_setvp_2d(pwh, scale, offset)
register PW		*pwh;
register Point2df	*scale, *offset;
{
	Point3df	scale3, offset3 ;

	scale3.x = scale->x ;
	scale3.y = scale->y ;
	scale3.z = 0.0 ;
	offset3.x = offset->x ;
	offset3.y = offset->y ;
	offset3.z = 0.0 ;

	Dev_pw_setvp_3d(pwh, &scale3, &offset3) ;
}
