#ifndef lint
static	char	sccsid[] = "@(#)dev_pw_vec_3di.c 1.1 88/11/23 SMI" ;
#endif

/*
 * Copyright (c) 1987 by Sun Microsystems, Inc.
 */


#include "dev_pw_internal.h"


void
Dev_pw_move_3di(pwh, pt)
register PW		*pwh;
register Point3di	*pt ;
{
	pwh->cdp.x = pt->x ;
	pwh->cdp.y = pt->y ;
	pwh->cdp.z = pt->z ;
	(*pwh->xf_func3)(pwh, &pwh->cdp, &pwh->cdp_xf) ;
	if( pwh->clip_planes )
	  pwh->cdp_flag = (*pwh->clip3)(pwh, &pwh->cdp_xf) ;
}


void
Dev_pw_draw_3di(pwh, pt)
register PW		*pwh;
register Point3di	*pt ;
{
	Point4df	pt0,pt1,pt2 ;
register int		clip1 ;

	pwh->cdp.x = pt->x ;
	pwh->cdp.y = pt->y ;
	pwh->cdp.z = pt->z ;
	(*pwh->xf_func3)(pwh, &pwh->cdp, &pt2) ;

	pt0 = pwh->cdp_xf ;
	pt1 = pt2 ;

	clip1 = (*pwh->vec_func)(pwh, &pt0, &pt1) ;

	pwh->cdp_xf = pt2 ;
	pwh->cdp_flag = clip1 ;
}
