#ifndef lint
static	char sccsid[] = "@(#)beacon.c 1.1 89/03/10 SMI";
#endif

/*
 * Copyright (c) 1986 by Sun Microsystems, Inc.
 */

/*
 * this file draws the beacon
 */



#include <stdio.h>
#include <math.h>
#include "gfx_mac.h"
#include "flight.h"
#include "object_types.h"
#include "graphics.h"

extern	int	debug_level ;


extern	int	current_color ;

#define	set_color(color) if(color != current_color)	\
				Set_color(Main_gfx, current_color = color) ;



#ifdef	DEBUG
#define	register
#endif	DEBUG


/* draw beacon lights.  */


draw_beacon_node(node, viewpt, matrix)
register Beacon_Node	*node ;
	Point3df	*viewpt ;
	Matrix3df	matrix ;
{
register int	color ;
	if( Day_state < DARK )
	  return ;


	--node->count ;

	switch(node->beacon_type)
	{
	  case 0:
	    switch(node->state)		/* white, off, green, off */
	    {
	      case 0:
	      case 2:
		color = (node->state == 0) ? WHITE : GREEN ;
		set_color(color) ;
		Gfx_points_3df(Main_gfx, 0, 1, &node->posn) ;
		if( --node->count < 0 )
		{
		  node->state = (node->state+1)%4 ;
		  node->count = 10 ;
		}
		break ;

	      case 1:
	      case 3:
		if( --node->count < 0 )
		{
		  node->state = (node->state+1)%4 ;
		  node->count = 3 ;
		}
		break ;
	    }
	    break ;
	}
}
