#ifndef	lint
static	char	sccsid[] = "@(#)create_pao.c 1.2 89/03/10 SMI" ;
#endif

#include <stdio.h>
#include "graphics.h"
#include "object_types.h"

extern	Bsp_Node	bay_bsp ;
extern	Street_Node	road ;
extern	View_Node	pao_view ;
extern	List_Node	pao_list0 ;
extern	List_Node	pao_list ;
extern	Polyline_Node	pao_line ;
extern	Named_Object	pao_object ;
extern	Bsp_Node	pao_rnwy_bsp ;
extern	Polygon_Node	pao_rnwy ;
extern	Bsp_Node	pao_bsp ;
extern	Vasi_Node	pao_vasi ;
extern	Named_Object	tower_object ;
extern	Transform_Node	pao_tower ;
extern	Street_Node	pao_rnwy_lights ;
extern	Beacon_Node	pao_beacon ;



	Named_Object	bay_object = {
	  NAMED_OBJECT,
	  draw_named_object,
	  0, "bay", NULL,
	  OBJ_STATIC,
	  {-336.,-222.,-0.},{334.,195.,30.},
	  (Desc_Node *) &bay_bsp,
	  NULL,
	} ;



static	Bsp_Node bay_bsp = {
	  BSP_NODE,
	  draw_bsp_node,
	  {0.,0.,0.},
	  {.52, .86, 0.0},
	  -1,-1,-1,-1,
	  0, {0,0,0},
	  NULL,
	  (Desc_Node *) &pao_list0, (Desc_Node *) &road,
	} ;

static	View_Node	pao_view2 = {
	  VIEW_NODE,
	  draw_view_node,
	  {0.,0.,0.},
	  0., NULL,
	  (Desc_Node *) &pao_object,
	} ;

static	View_Node	pao_view = {
	  VIEW_NODE,
	  draw_view_node, 
	  {0.,0.,0.},
	  3000.*3000., &pao_view2,
	  (Desc_Node *) &pao_line,
	} ;

static	List_Node	pao_list0 = {
	  LIST_NODE, draw_list_node,
	  {(Desc_Node *) &pao_view,
	   (Desc_Node *) &pao_beacon,
	   NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL}
	} ;

static	Point3df	pao_line_points[] = {{-330.,191.,0.},{330.,-191.,0.}} ;

static	Polyline_Node	pao_line = {
	  POLYLINE_NODE,
	  draw_polyline_node,
	  GREY, 2, pao_line_points, NULL,
	} ;

static	Named_Object	pao_object = {
	  NAMED_OBJECT,
	  draw_named_object,
	  0, "pao", NULL,
	  OBJ_STATIC,
	  {-336.,-222.,-0.},{334.,195.,0.},
	  (Desc_Node *) &pao_list,
	  NULL,
	} ;


#ifdef	COMMENT
static	Bsp_Node	pao_bsp = {
	  BSP_NODE,
	  draw_bsp_node,
	  {-9.14,-15.84,0.0},
	  {.5,.87,0.},
	  -1,-1,-1,-1,
	  0, {0,0,0},
	  NULL,
	  (Desc_Node *) &pao_list, (Desc_Node *) &pao_tower,
	} ;
#endif	COMMENT

static	Bsp_Node	pao_rnwy_bsp = {
	  BSP_NODE,
	  draw_bsp_node,
	  {0.,0.,0.},
	  {0.,0.,1.},
	  -1,-1,-1,-1,
	  0, {0,0,0},
	  NULL,
	  (Desc_Node *) &pao_rnwy_lights, (Desc_Node *) &pao_rnwy,
	} ;

static	List_Node	pao_list = {
	  LIST_NODE, draw_list_node,
	  {(Desc_Node *) &pao_rnwy,
	   (Desc_Node *) &pao_rnwy_lights,
	   (Desc_Node *) &pao_vasi,
	   (Desc_Node *) &pao_tower,
	   NULL,NULL,NULL,NULL,NULL,NULL}
	} ;

static	Point3df rny_lights_data[] = {
	{-322.50, 194.03, 0.0},
	{-257.25, 156.53, 0.},
	{-192.00, 119.03, 0.},
	{-126.75, 81.53, 0.},
	{-61.50, 44.03, 0.},
	{3.75, 6.52, 0.},
	{69.00, -30.98, 0.},
	{134.25, -68.48, 0.},
	{199.50, -105.98, 0.},
	{264.75, -143.48, 0.},
	{ 330.00,-180.98, 0.0},
	{ 322.5, -194.03, 0.0},
	{ 257.25,-156.53, 0.},
	{ 192.00,-119.03, 0.},
	{ 126.75,-81.53, 0.},
	{ 61.50,-44.03, 0.},
	{-3.75,-6.52, 0.},
	{-69.00, 30.98, 0.},
	{-134.25, 68.48, 0.},
	{-199.50, 105.98, 0.},
	{-264.75, 143.48, 0.},
	{-330.00,180.98, 0.0}} ;


static	Street_Node pao_rnwy_lights = {
	  STREET_NODE,
	  draw_street_node,
	  -1, WHITE,
	  22, &rny_lights_data[0],
	  NULL } ;




static	Point3df	Vrnwy[] = {
	{-322.50, 194.03, 0.0},		/* -376.27, 7.5 */
	{ 330.00,-180.98, 0.0},		/*  376.27, 7.5 */
	{ 320.25,-197.94, 0.0},
	{ 333.30,-205.44, 0.0},
	{ 324.30,-221.10, 0.0},
	{ 306.03,-210.60, 0.0},
	{ 312.03,-200.16, 0.0},
	{-335.25, 171.84, 0.0},
	{-324.78, 177.98, 0.0},
	{ 317.28,-191.03, 0.0},
	{ 315.03,-194.94, 0.0},
	{-327.03, 174.06, 0.0}} ;


static	Polygon_Node	pao_rnwy = {
	  POLYGON_NODE,
	  draw_polygon_node,
	  GREY,-1,
	  2,{8,4,0},
	  Vrnwy,
	  NULL,
	} ;



#ifdef	COMMENT
static	Terrain_data	bay_terrain_data[10][10] = {
	  {{4, 39},{2,-73},{2, 60},{1,-14},{2, 25},
	   {4, 14},{6, -9},{6, 28},{2,-35},{3,-49},},
	  {{3,  4},{5,-11},{2,-14},{2, 50},{3, -2},
	   {3, 18},{2, 43},{1, -6},{6,-47},{5, 49},},
	  {{3, 14},{4,-16},{4, 17},{2,-66},{1,-20},
	   {6, -9},{1,-55},{3,-74},{4, 31},{6, 44},},
	  {{4,-56},{4, 44},{4,-14},{1,-31},{4, 47},
	   {2,-53},{1, 59},{4, -2},{6, 19},{5, 36},},
	  {{4, 43},{3, 13},{5, 37},{6,  0},{1,  0},
	   {6,  0},{5,  0},{4,  4},{6,-62},{5,-13},},
	  {{2,-30},{5,-74},{6, -7},{4,  0},{5,  0},
	   {5,  0},{4,  0},{1, 25},{5, 30},{2,-40},},
	  {{3, 61},{2,-21},{5,-13},{6, -8},{4,-14},
	   {2, 37},{5, 25},{5,250},{3,125},{3, 23},},
	  {{1, 45},{1,  5},{1, -3},{4,-36},{5, 65},
	   {1,125},{1,250},{3,500},{2,250},{2,125},},
	  {{4, 48},{1, 20},{4,-41},{6, 54},{4, 59},
	   {2, 47},{1,125},{1,250},{1,125},{3, 31},},
	  {{3,-27},{5,  3},{6,-53},{4, 69},{1,-31},
	   {3,-38},{6, 45},{5,125},{6, 25},{4,  9},},
	} ;


static	Terrain_Node	bay_terrain = {
	  TERRAIN_NODE,
	  draw_terrain_node,
	  0.,0.,
	  -5000.,-5000.,
	  {{0.,0.,0.},0}, {{0.,0.,0.},0}, {{0.,0.,0.},0}, {{0.,0.,0.},0},
	  5,
	  0,
	  9000.,9000.,
	  10,10,
	  1000.,1000.,
	  0,
	  &bay_terrain_data[0][0],
	  NULL,
	  NULL,
	  54000.,
	  NULL,
	} ;
#endif	COMMENT

static	Point3df street_data[] = {
	{-100.,-100.,0.}, {-150.,-200.,0.}, {-150.,-300.,0.},
	{-200.,-400.,0.}, {-300.,-500.,0.}} ;

static	Street_Node road = {
	  STREET_NODE,
	  draw_street_node,
	  GREY, YELLOW,
	  5, &street_data[0],
	  NULL } ;


static	Transform_Node	pao_tower = {
	  TRANSFORM_NODE,
	  draw_transform_node,
	  {{ .5,.87,0.,0.},
	   {-.87,.5,0.,0.},
	   {0.,  0.,1.,0.},
	   {-50.,-87.,0.,1.}},
	  {{.5,-.87,0.,0.},
	   {.87, .5,0.,0.},
	   {0.,  0.,1.,0.},
	   {100.,0.,0.,1.}},
	  (Desc_Node *) &tower_object,
	} ;


static	Beacon_Node	pao_beacon = {
	  BEACON_NODE, draw_beacon_node, 0,
	  {-50.,-87.,32.},
	  0,0
	} ;


static	Vasi_Node pao_vasi = {
	  VASI_NODE, draw_vasi_node, 0,
	  { 257.,-170., 0.}, {0.86520, -0.49952, 0.04362},
	  { 192.,-133., 0.}, {0.86441, -0.49907, 0.06105}
	} ;
