#ifndef lint
static	char sccsid[] = "@(#)vasi.c 1.1 89/03/10 SMI";
#endif

/*
 * Copyright (c) 1986 by Sun Microsystems, Inc.
 */

/*
 * this file draws the vasi
 */



#include <stdio.h>
#include <math.h>
#include "gfx_mac.h"
#include "flight.h"
#include "object_types.h"
#include "graphics.h"

extern	int	debug_level ;


extern	int	current_color ;

#define	set_color(color) if(color != current_color)	\
				Set_color(Main_gfx, current_color = color) ;



#ifdef	DEBUG
#define	register
#endif	DEBUG


/* draw vasi lights.  If the plane is further away than VASI_VIS or
   is more than 30 degrees off center, nothing is drawn */


draw_vasi_node(node, viewpt, matrix)
register Vasi_Node	*node ;
register Point3df	*viewpt ;
	Matrix3df	matrix ;
{
	Point3df	vec ;
register float		dist, tmp ;

	switch(node->vasi_type)
	{
	  case 0:		/* standard 2-bar */
	    dist = (vec.x = viewpt->x - node->l1.x) ;
	    dist *= dist ;
	    tmp = (vec.y = viewpt->y - node->l1.y) ;
	    dist += tmp*tmp ;
	    tmp = (vec.z = viewpt->z - node->l1.z) ;
	    dist += tmp*tmp ;
	    if( dist > VASI_VIS )
	      return ;
	    dist = sqrt(dist) ;
	    if( (vec.x*node->v1.x + vec.y*node->v1.y)/dist < .87 )
	      return ;
	    if( vec.z/dist > node->v1.z )
	    {
	      set_color(WHITE) ;
	    }
	    else
	    {
	      set_color(RED) ;
	    }
	    Gfx_points_3df(Main_gfx, 0, 1, &node->l1) ;

	    dist = (vec.x = viewpt->x - node->l2.x) ;
	    dist *= dist ;
	    tmp = (vec.y = viewpt->y - node->l2.y) ;
	    dist += tmp*tmp ;
	    tmp = (vec.z = viewpt->z - node->l2.z) ;
	    dist += tmp*tmp ;
	    dist = sqrt(dist) ;
	    if( vec.z/dist > node->v2.z )
	    {
	      set_color(WHITE) ;
	    }
	    else
	    {
	      set_color(RED) ;
	    }
	    Gfx_points_3df(Main_gfx, 0, 1, &node->l2) ;
	    break ;
	}
}
